<!-- MIT License -->
<!-- Author: Nick Van Osta -->

<template functional>
  <v-col
    cols="12"
    sm="6"
    md="4"
    lg="3"
    xl="2"
    @mouseenter="props.actions.mouseEnter"
    @mouseleave="props.actions.mouseLeave"
  >
    <v-card
      class="add-card"
      height="100%"
      flat
      :style="{
        border: `thick dashed ${props.state.color}`,
        backgroundColor: 'transparent',
        opacity: props.state.hover ? 1 : 0.5
      }"
      v-on="listeners"
    >
      <v-container fluid fill-height>
        <v-row justify="center" align-content="center">
          <v-icon class="text-center" :color="props.state.color" size="3em">
            $add
          </v-icon>
        </v-row>
      </v-container>
    </v-card>
  </v-col>
</template>
